Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class BackupService.Activity

    java.lang.Object
      org.modeshape.jcr.BackupService.Activity

Direct Known Subclasses:
  BackupService.BackupActivity, BackupService.RestoreActivity

Enclosing class:
  BackupService

    @NotThreadSafe
    public abstract static class BackupService.Activity

extends Object

An abstract activity used for the various backup and restore operations.

Field Summary
`protected File` | `backupDirectory`
`protected File` | `binaryDirectory`
`protected BinaryStore` | `binaryStore`
`protected File` | `changeDirectory`
`protected SchematicDb` | `documentStore`
`protected SimpleProblems` | `problems`
`protected RepositoryCache` | `repositoryCache`

Constructor Summary
`protected` | `BackupService.Activity(File backupDirectory, SchematicDb documentStore, BinaryStore binaryStore, RepositoryCache repositoryCache)`

Method Summary
`protected String` | `backupLocation()`
`abstract Problems` | `execute()` Execute the activity, using the repository state as it currently exists.
`protected String` | `repositoryName()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repositoryCache

    protected final RepositoryCache repositoryCache

### backupDirectory

    protected final File backupDirectory

### changeDirectory

    protected final File changeDirectory

### binaryDirectory

    protected final File binaryDirectory

### documentStore

    protected final SchematicDb documentStore

### binaryStore

    protected final BinaryStore binaryStore

### problems

    protected final SimpleProblems problems

Constructor Detail

### BackupService.Activity

    protected BackupService.Activity(File backupDirectory,
                                     SchematicDb documentStore,
                                     BinaryStore binaryStore,
                                     RepositoryCache repositoryCache)

Method Detail

### execute

    public abstract Problems execute()

  Execute the activity, using the repository state as it currently exists.

  Returns:
    the problems describing any issues or exceptions that occur during the activity's execution; never null

### repositoryName

    protected final String repositoryName()

### backupLocation

    protected final String backupLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.